cli.usage = Usage: %1 [OPTIONS]
cli.description = Fetch lyrics from various sites and/or submit lyrics to Lyriki and LyricWiki.
cli.values.true = true
cli.values.false = false
cli.options = Options:
cli.options.artist = Song artist (mandatory unless %1 specified).
cli.options.title = Song title (mandatory unless %1 specified).
cli.options.album = Song album.
cli.options.year = Song album year.
cli.options.featfix = Fix artist/title when the later has "feat. ARTIST" (%1 by default).
cli.options.batchfile = Batch process file (expects artist;title;album;year entries in each line).
cli.options.cleanup = Cleanup fetched lyrics (%1 by default).
cli.options.sites = Sites to search lyrics for, order included (%1 by default; see %2).
cli.options.sites.list = List available sites.
cli.options.sites.list.available = Available sites:
cli.options.submit = Wiki site to submit content to (needs %1 and %2).
cli.options.username = Username to login with (mandatory when %1 specified).
cli.options.password = Password to login with (mandatory when %1 specified).
cli.options.persist = Restore/save session from/to file (needs %1 and %2).
cli.options.prompt.review = Prompt for review before submitting content (%1 by default, needs %2).
cli.options.prompt.autogen = Prompt for review of autogenerated pages (%1 by default, needs %2).
cli.options.prompt.nolyrics = Prompt for submission even when no lyrics to submit where found (%1 by default, needs %2).
cli.options.proxy = Proxy server URL.
cli.options.toolkits = GUI toolkits priority. Loading falls back to the next toolkit when one fails; an empty list will cause no dialog to be shown and lyrics to be dumped to stdout (defaults to %1).
cli.options.help = Show this message and exit.
cli.options.version = Show version and exit.
cli.error.missingoption = missing %1
cli.error.missingdependency = %1 requires %1
cli.error.incompatibleoptions = %1 is incompatible with %2
cli.error.invalidoptionvalue = invalid %1 value: %2
cli.error.nosite = must provide at least one site
cli.error.notoolkit = must provide at least one toolkit to use review mode

cli.application.searchinglyrics = searching lyrics for %1 by %2...
cli.application.lyricsfound = lyrics for %1 by %2 found at %3
cli.application.nolyricsfound = no lyrics found for %1 by %2
cli.application.plugintimeout = %1 request has timed out, site %2 is probably down
cli.application.batchmode = operating in batch mode
cli.application.processedcount = %1 files processed

amarok.application.error.connectionrefused = Can't connect to the Internet (check your proxy settings)
amarok.application.error.connectiondown = The connection is down, exiting
amarok.application.error.notoolkit = Sorry...\nYou need one of QtRuby, RubyGTK or TkRuby to run this program
amarok.application.error.nopluginsselected = No sites to search lyrics for specified
amarok.application.search.current = Search current song lyrics
amarok.application.search.current.nosongplaying = no song currently playing
amarok.application.search.selected = Search selected song lyrics
amarok.application.search.noinfofound = no song info found in Amarok database
amarok.application.search.nolyricsfound = no lyrics found for <b>%1</b> by <b>%2</b>
amarok.application.search.plugintimeout = %1 request has timed out! Site %2 is probably down
amarok.application.clearlyricscache = Clear lyrics cache
amarok.application.clearlyricscache.confirm = Are you sure you want to clear the lyrics cache?
amarok.application.clearlyricscache.done = lyrics cache cleared

amarok.wikiplugin.checksong = Check/Submit song page
amarok.wikiplugin.checksong.noinfofound = no song info found in Amarok database
amarok.wikiplugin.checkalbum = Check/Submit album page
amarok.wikiplugin.checkalbum.noinfofound = no album info found in Amarok database
amarok.wikiplugin.uploadcover = Upload album cover
amarok.wikiplugin.uploadcover.invalidalbumparams = invalid album params received
amarok.wikiplugin.uploadcover.noimagepath = no cover image received
amarok.wikiplugin.uploadcover.searching = searching album cover for <b>%1</b> by <b>%2</b>...
amarok.wikiplugin.uploadcover.found = album cover found (no need to upload)
amarok.wikiplugin.submitcontent = Submit contents

gui.common.cut = Cut
gui.common.copy = Copy
gui.common.paste = Paste
gui.common.delete = Delete
gui.common.selectall = Select All
gui.common.undo = Undo
gui.common.redo = Redo

gui.common.accept = Accept
gui.common.cancel = Cancel
gui.common.submit = Submit
gui.common.load = Load
gui.common.fix = Fix
gui.common.url = URL
gui.common.artist = Artist
gui.common.song = Song
gui.common.album = Album
gui.common.year = Year
gui.common.month = Month
gui.common.day = Day
gui.common.released = Released
gui.common.credits = Credits
gui.common.lyricist = Lyricist
gui.common.image = Image
gui.common.reviewed = I have reviewed the contents of this form

gui.searchlyrics.title = Search lyrics
gui.searchlyrics.search = Search Settings

gui.lyrics.title = Lyrics to %1 by %2

gui.pluginsmanager.title = %1 script configuration
gui.pluginsmanager.sites = Sites
gui.pluginsmanager.sites.inuse = Currently used
gui.pluginsmanager.sites.available = Available
gui.pluginsmanager.sites.moveup = Move Up
gui.pluginsmanager.sites.movedown = Move Down
gui.pluginsmanager.sites.add = << Add
gui.pluginsmanager.sites.remove = >> Remove
gui.pluginsmanager.misc = Miscellaneous
gui.pluginsmanager.misc.cleanup = Clean up retrieved lyrics
gui.pluginsmanager.misc.singlethreaded = Avoid using multiple threads to save battery (needs restart)
gui.pluginsmanager.misc.writelog = Write log to %1

gui.wikiplugin.title = Configure %1 settings
gui.wikiplugin.general = General Settings
gui.wikiplugin.general.submit = Submit contents to %1
gui.wikiplugin.general.review = Prompt for review before submitting contents
gui.wikiplugin.general.autogen = Review song pages marked as auto-generated
gui.wikiplugin.general.nolyrics = Show submit dialog even if no lyrics were found
gui.wikiplugin.login = Login Settings
gui.wikiplugin.login.username = Username
gui.wikiplugin.login.password = Password

gui.submitsong.title.submit = %1 - Submit song page
gui.submitsong.title.edit = %1 - Review song page
gui.submitsong.instrumental = Song is instrumental

gui.submitalbum.title = %1 - Submit album page
gui.submitalbum.coverfound = (cover found, no need to upload)

gui.uploadcover.title = %1 - Upload album cover
gui.uploadcover.imagepath = Path
gui.uploadcover.browseimage.title = Select album cover image path
gui.uploadcover.browseimage.images = Images
gui.uploadcover.browseimage.allfiles = All Files

gui.fixpages.success = Submitted page %1
gui.fixpages.error = Error submitting page %1

wiki.control.versionblocked = <b>Version %1 has been blocked</b> from submitting content. Please, update to the last version.
wiki.control.userblocked = <b>User %1 has been blocked</b> from submitting content. Please, check your user page.
wiki.control.updated = A new version of the script has been released. <b>Please, update to version %1</b>.

wiki.login.attempt = starting session for user <b>%1</b>...
wiki.login.success = session started successfully for user <b>%1</b>
wiki.login.error = error starting session for user <b>%1</b>
wiki.logout = session finished for user <b>%1</b>

wiki.session.save.success = session saved for user <b>%1</b>
wiki.session.save.error.notloggedin = can't save session before logging in
wiki.session.save.error = there was an error saving the session for user <b>%1</b>
wiki.session.restore.success = session restored for user <b>%1</b>
wiki.session.restore.error = there was an error restoring the session for user <b>%1</b>
wiki.session.restore.notfound = no saved session found

wiki.submitsong.searchingpage = searching song page for <b>%1</b> by <b>%2</b>...
wiki.submitsong.pagefound = song page found for <b>%1</b> by <b>%2</b>
wiki.submitsong.pagefound.autogenerated = auto-generated song page found for <b>%1</b> by <b>%2</b>
wiki.submitsong.nopagefound = no song page found for <b>%1</b> by <b>%2</b>
wiki.submitsong.cancelled = song page submission cancelled by user
wiki.submitsong.mustreviewcontent = contents were not reviewed, submission cancelled
wiki.submitsong.success = successfully submitted song page for <b>%1</b> by <b>%2</b>
wiki.submitsong.error.invalidsong = invalid song title received
wiki.submitsong.error.invalidartist = invalid album artist received
wiki.submitsong.error.nolyrics = no lyrics to submit received
wiki.submitsong.error = there was an error submitting the song page for <b>%1</b> by <b>%2</b>

wiki.submitalbum.searchingpage = searching album page for <b>%1</b> by <b>%2</b>...
wiki.submitalbum.pagefound = found album page for <b>%1</b> by <b>%2</b>
wiki.submitalbum.nopagefound = no album page found for <b>%1</b> by <b>%2</b>
wiki.submitalbum.cancelled = album page submission cancelled by user
wiki.submitalbum.mustreviewcontent = contents were not reviewed, submission cancelled
wiki.submitalbum.success = successfully submitted album page for <b>%1</b> by <b>%2</b>
wiki.submitalbum.error.invalidyear = invalid album year received
wiki.submitalbum.error.invalidalbum = invalid album name received
wiki.submitalbum.error.invalidartist = invalid album artist received
wiki.submitalbum.error = there was an error submitting the album page for <b>%1</b> by <b>%2</b>

wiki.submitredirect.success = submitted redirect page to %1
wiki.submitredirect.error = there was an error submitting the redirect page to %1

wiki.uploadcover.uploading = uploading album cover for <b>%1</b> by <b>%2</b>
wiki.uploadcover.success = successfully uploaded album cover for <b>%1</b> by <b>%2</b>
wiki.uploadcover.error.convert = there was an error converting the album cover to JPEG format
wiki.uploadcover.error = there was an error uploading the album cover for <b>%1</b> by <b>%2</b>
